[bumpversion]
current_version = 0.6.1
commit = True
tag = True
allow-dirty = True

[bumpversion:file:setup.py]
search = version="{current_version}"
replace = version="{new_version}"

[bumpversion:file:auto_qc/__init__.py]
search = __version__ = "{current_version}"
replace = __version__ = "{new_version}"

[flake8]
exclude = build,.git,__pycache__
ignore = E252, E501, W503, W504
max-complexity = 10

[build_sphinx]
source-dir = ./docs/source/
